Interface KubernetesConfigMapsEndpointBuilderFactory.KubernetesConfigMapsBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
KubernetesConfigMapsEndpointBuilderFactory
public static interface KubernetesConfigMapsEndpointBuilderFactory.KubernetesConfigMapsBuilders
-
Method Summary
Modifier and TypeMethodDescriptionKubernetes ConfigMap (camel-kubernetes) Perform operations on Kubernetes ConfigMaps and get notified on ConfigMaps changes.kubernetesConfigMaps(String path) Kubernetes ConfigMap (camel-kubernetes) Perform operations on Kubernetes ConfigMaps and get notified on ConfigMaps changes.kubernetesConfigMaps(String componentName, String path) Kubernetes ConfigMap (camel-kubernetes) Perform operations on Kubernetes ConfigMaps and get notified on ConfigMaps changes.
-
Method Details
-
kubernetesConfigMaps
default KubernetesConfigMapsEndpointBuilderFactory.KubernetesConfigMapsHeaderNameBuilder kubernetesConfigMaps()Kubernetes ConfigMap (camel-kubernetes) Perform operations on Kubernetes ConfigMaps and get notified on ConfigMaps changes. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes- Returns:
- the dsl builder for the headers' name.
-
kubernetesConfigMaps
default KubernetesConfigMapsEndpointBuilderFactory.KubernetesConfigMapsEndpointBuilder kubernetesConfigMaps(String path) Kubernetes ConfigMap (camel-kubernetes) Perform operations on Kubernetes ConfigMaps and get notified on ConfigMaps changes. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-config-maps:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
path- masterUrl- Returns:
- the dsl builder
-
kubernetesConfigMaps
default KubernetesConfigMapsEndpointBuilderFactory.KubernetesConfigMapsEndpointBuilder kubernetesConfigMaps(String componentName, String path) Kubernetes ConfigMap (camel-kubernetes) Perform operations on Kubernetes ConfigMaps and get notified on ConfigMaps changes. Category: container,cloud Since: 2.17 Maven coordinates: org.apache.camel:camel-kubernetes Syntax:kubernetes-config-maps:masterUrlPath parameter: masterUrl (required) Kubernetes Master url- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- masterUrl- Returns:
- the dsl builder
-